AgentConnect
Agents

Get a capability request

One request an agent made, with the current values of what it asks to change, warnings for changes that raise what the agent can do on its own, the conversations waiting for it and whether the caller can complete, decline, reopen or forward it. Answers 404 unless the caller can see the agent.

GET
/v1/orgs/{orgId}/capability-requests/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/orgs/string/capability-requests/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "string",  "orgId": "string",  "agentId": "string",  "agentName": "string",  "kind": "agent-settings",  "target": "string",  "want": {    "property1": null,    "property2": null  },  "summary": "string",  "reason": "string",  "status": "open",  "generation": -9007199254740991,  "createdAt": "string",  "expiresAt": "string",  "settledAt": "string",  "settledBy": {    "kind": "console",    "userId": "string",    "name": "string"  },  "outcome": "string",  "differs": true,  "note": "string",  "origins": [    {      "sessionId": "string",      "platform": "string",      "placeLabel": "string",      "external": true,      "askers": [        {          "kind": "console",          "userId": "string",          "name": "string",          "platform": "string"        }      ],      "nobody": true,      "askedAt": "string",      "wake": "none",      "wakeReason": "string"    }  ],  "current": {    "property1": null,    "property2": null  },  "warnings": [    "string"  ],  "viewer": {    "canComplete": true,    "canDecline": true,    "canReopen": true,    "canForward": true,    "missing": "string",    "whoCan": [      {        "userId": "string",        "name": "string"      }    ]  }}